Page MenuHomePhabricator

elementary: fix error path during shutdown of fileselector.
ClosedPublic

Authored by cedric on Mar 28 2019, 2:16 PM.

Details

Summary

During shutdown, sometimes, we can have an error generated on the object
while it is invalidating, but before it is invalidated. This lead to
properties on the object to change to an error state and trigger the
properties changed logic. At this point, the parent has already been
destroyed and we don't really have anything more to do. So let's not
do anything.

Depends on D8501

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 28 2019, 2:16 PM
cedric requested review of this revision.Mar 28 2019, 2:16 PM

Can you push this patchset to a branch, so it gets picked up by zmikes-travis-script, and we see how this changes the state of the travis problems ?

zmike added a comment.Mar 29 2019, 7:02 AM

I'm not doing a sync for branches, only master.

Seems we have two different issues. One lead to a timeout in eio/fileselector and another one is a segfault. And this is even with this set of patch. I will set a valgrind in a loop for the rest of the day and see if I can catch something here. If you want you can help with running :

EINA_LOG_BACKTRACE=1 valgrind --trace-children=yes ./src/tests/elementary/elementary_suite elm_fileselector; while [ $? -eq 0 ]; do EINA_LOG_BACKTRACE=1 valgrind --trace-children=yes ./src/tests/elementary/elementary_suite elm_fileselector; done

Doing the same with :

EINA_LOG_BACKTRACE=1 valgrind --trace-children=yes ./src/tests/eio/eio_suite "Efl Io Model" "Efl Io Model Monitor"; while [ $? -eq 0 ]; do EINA_LOG_BACKTRACE=1 valgrind --trace-children=yes ./src/tests/eio/eio_suite "Efl Io Model" "Efl Io Model Monitor"; done

Entire morning run kept me warm, but didn't generate any issue. Will have to try to dig in the travis VM...

zmike accepted this revision.Apr 2 2019, 5:46 AM
This revision is now accepted and ready to land.Apr 2 2019, 5:46 AM

Can you push this patchset to a branch, so it gets picked up by zmikes-travis-script, and we see how this changes the state of the travis problems ?

This still stands ...

cedric updated this revision to Diff 21154.Apr 2 2019, 10:06 AM
cedric edited the summary of this revision. (Show Details)

Rebase.

cedric updated this revision to Diff 21167.Apr 2 2019, 12:33 PM

rebase.

This revision was automatically updated to reflect the committed changes.